> ## Documentation Index
> Fetch the complete documentation index at: https://docs.decodahealth.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Update Payin Config Metadata

> Update metadata for an existing payin config.
Only updates payment_medium and save_payment_method fields.



## OpenAPI

````yaml patch /billing/payment-terminal/payin-config/{payin_config_id}/metadata
openapi: 3.1.0
info:
  title: Decoda API
  description: External API documentation for the Decoda Health platform.
  version: '1.0'
servers: []
security: []
paths:
  /billing/payment-terminal/payin-config/{payin_config_id}/metadata:
    patch:
      tags:
        - provider
        - billing
      summary: Update Payin Config Metadata
      description: |-
        Update metadata for an existing payin config.
        Only updates payment_medium and save_payment_method fields.
      operationId: >-
        update_payin_config_metadata_billing_payment_terminal_payin_config__payin_config_id__metadata_patch
      parameters:
        - name: TENANT
          in: header
          required: true
          schema:
            type: string
            title: Tenant
          description: The tenant you are making this request on behalf of
        - name: API-KEY
          in: header
          required: true
          schema:
            type: string
            title: Api-Key
          description: Your api key
        - name: payin_config_id
          in: path
          required: true
          schema:
            type: string
            title: Payin Config Id
        - name: payment_medium
          in: query
          required: false
          schema:
            anyOf:
              - $ref: '#/components/schemas/PaymentMedium'
              - type: 'null'
            description: Payment medium to update
            title: Payment Medium
          description: Payment medium to update
        - name: save_payment_method
          in: query
          required: false
          schema:
            anyOf:
              - type: boolean
              - type: 'null'
            description: Save payment method flag to update
            title: Save Payment Method
          description: Save payment method flag to update
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                type: object
                title: >-
                  Response Update Payin Config Metadata Billing Payment Terminal
                  Payin Config  Payin Config Id  Metadata Patch
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    PaymentMedium:
      type: string
      enum:
        - POS
        - VIRTUAL_TERMINAL
        - PAYMENT_LINK
        - PAYMENT_PLAN
        - SUBSCRIPTION
        - SAVED_PAYMENT_METHOD
        - MEMBERSHIP
        - CASH
        - CHECK
        - CARE_CREDIT
        - PATIENT_CREDIT
      title: PaymentMedium
      description: >-
        Payment medium types supported by the system.


        These fall into two categories:

        1. Payment Processor Mediums: Require Rainforest/Stripe payin (card
        processing)

        2. External Settlement Mediums: Settled outside the system (cash, check,
        etc.)
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError

````